Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.eway
Class JZOOWildCardFilter

    java.lang.Object
      com.stc.connector.fileadapter.eway.JZOOWildCardFilter

All Implemented Interfaces:
  java.io.FilenameFilter

    public class JZOOWildCardFilter

extends java.lang.Object
implements java.io.FilenameFilter

DOCUMENT ME!

Version:
  $Revision: 1.3 $

Constructor Summary
`JZOOWildCardFilter(java.lang.String wildString)` DOCUMENT ME!
`JZOOWildCardFilter(java.lang.String wildString, boolean matchDirs)`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)` DOCUMENT ME!
`java.lang.String` | `toPattern()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JZOOWildCardFilter

    public JZOOWildCardFilter(java.lang.String wildString)

  DOCUMENT ME!

  Parameters:
    `wildString` - DOCUMENT ME!

### JZOOWildCardFilter

    public JZOOWildCardFilter(java.lang.String wildString,
                              boolean matchDirs)

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  DOCUMENT ME!

  Specified by:
    `accept` in interface `java.io.FilenameFilter`
  Parameters:
    `dir` - File path
    `name` - File name
  Returns:
    DOCUMENT ME!

### toPattern

    public java.lang.String toPattern()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.